package com.ocpsoft.pretty.util.el;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

import com.ocpsoft.pretty.config.mapping.PathParameter;

public class NamedExpressionProcessor extends ExpressionProcessor
{

    public static final Pattern pattern = Pattern.compile("\\#\\{\\s*(\\w+)\\s*\\}");

    @Override
    public PathParameter process(final String expression)
    {
        PathParameter result = null;

        Matcher matcher = pattern.matcher(expression);
        if (matcher.matches())
        {
            String name = matcher.group(1);

            result = new PathParameter();
            result.setName(name);
        }
        return result;
    }

    @Override
    public Pattern getPattern()
    {
        return pattern;
    }

}
